##
#   Local Configuration
##

# # Set the port number
# server.port=8080

# # Data source (DataSourceAutoConfiguration & DataSourceProperties)
# spring.datasource.url=jdbc:mysql://${MYSQL_HOST:localhost}:3306/cafecave
# spring.datasource.username=root
# spring.datasource.password=root

##
#   Cloud Configuration
##

# Set the port number
server.port=8087

# Data source (DataSourceAutoConfiguration & DataSourceProperties)
spring.datasource.url=jdbc:mysql://ec2-3-23-17-15.us-east-2.compute.amazonaws.com:3306/cafe_kita
spring.datasource.username=root
spring.datasource.password=java

# The SQL dialect makes Hibernate generate better SQL for the chosen database
# spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = update

# Loggings
logging.level.org.hibernate.SQL=DEBUG
logging.level.org.hibernate.type=TRACE

spring.jackson.serialization.fail-on-empty-beans=false